Subject: Re: [PATCH 03/10] x86: add initialization code for DMA-API debugging

From: Ingo Molnar <[email-masked]>
Date: Sun, 23 Nov 2008 14:04:19 +0100

Another generic suggestion:

Why not just replace dma_ops with a debug version? That way it could 
be a runtime feature based off the already existing DMA op callbacks, 
without any extra overhead.

I'd prefer such a solution much more with an x86 architecture 
maintainer hat on, because this way distributions could enable this 
debug feature (with the facility being off by default) without 
worrying about the wrapping overhead.

This would basically be a special variant of stacked DMA ops support.

	Ingo